# ArgumentParser Class Reference

Inheritance diagram for ArgumentParser:
[legend]

List of all members.

## Public Member Functions

| setForm (Form $form)
| getForm ()
| parse ()
| validate ()

## Static Public Member Functions

static | me ()

## Private Attributes

| $form = null
| $result = null

## Detailed Description

Definition at line 12 of file ArgumentParser.class.php.

## Member Function Documentation

ArgumentParser::getForm | ( |  | ) |

Returns:
  Form

Definition at line 38 of file ArgumentParser.class.php.

static ArgumentParser::me | ( |  | ) | `[static]`

Returns:
  ArgumentParser

Definition at line 20 of file ArgumentParser.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

ArgumentParser::parse | ( |  | ) |

Returns:
  ArgumentParser

Definition at line 46 of file ArgumentParser.class.php.

References FormToArgumentsConverter::getLong(), FormToArgumentsConverter::getShort(), and Assert::isNotNull().

Here is the call graph for this function:

ArgumentParser::setForm | ( | Form $ | form | ) |

Returns:
  ArgumentParser

Definition at line 28 of file ArgumentParser.class.php.

ArgumentParser::validate | ( |  | ) |

Returns:
  ArgumentParser

Definition at line 69 of file ArgumentParser.class.php.

References Assert::isNotNull().

Here is the call graph for this function:

## Member Data Documentation

ArgumentParser::$form = null`[private]`

Definition at line 14 of file ArgumentParser.class.php.

ArgumentParser::$result = null`[private]`

Definition at line 15 of file ArgumentParser.class.php.

The documentation for this class was generated from the following file:

- main/Utils/CommandLine/ArgumentParser.class.php